### Constructor

# SpiceClientGtk UsbDeviceWidget new

#### Declaration [src]

    GtkWidget*
    spice_usb_device_widget_new (
      SpiceSession* session,
      const gchar* device_format_string
    )

#### Description [src]

Creates a new widget to control USB redirection.

#### Parameters

`session`

  Type: `SpiceSession`

  `SpiceSession` for which to widget will control USB redirection.

  The data is owned by the caller of the function.

`device_format_string`

  Type: `const gchar*`

  String passed to spice_usb_device_get_description().

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

A new `SpiceUsbDeviceWidget` instance.

The data is owned by the called function.